package com.kym.service;

import com.kym.entity.Feedback;
import com.kym.entity.queryParams.FeedbackQueryParam;
import com.kym.service.mybatisplus.MyBaseService;

/**
 * <p>
 * 纠错反馈 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-11-12
 */
public interface FeedbackService extends MyBaseService<Feedback> {

    int add(Feedback faq);

    void modify(Feedback faq);

    void reply(Feedback faq);

    Object list(FeedbackQueryParam query);

    Feedback detail(long id);

    void status(long id, int status);

    void remove(long id);
}
